Description

Hi

Versions 3 of Qgis and beyond use a new method of editing nodes that can be confusing for anyone who is used to working with Qgis for

a long time. It would be interesting to be able to choose between the new method and the classic way.

History

#1 - 2018-12-19 08:43 PM - Giovanni Manghi

- Assignee deleted (Victor Olaya)

- Subject changed from Editing knots (vertex) in classic mode to Node editor as it works in 2.*

- Category changed from Vectors to Digitising

My opinion: it won't happen.

#2 - 2018-12-24 12:29 AM - Corey Burger

I would say that we need something that merges the best of the 2.x with the new 3 method. There are major UI issues with the new node editing. Here is

what I noticed:

1. No difference between node hovered over and node selected (this is a MAJOR bug)

2. Cannot select a different line or node on another segment with node tool

3. Silently starts moving and adding nodes

All in all, I find the 3 version very hard to figure out what it is doing.

#3 - 2019-01-23 11:07 PM - Martin Dobias

Corey Burger wrote:

1. No difference between node hovered over and node selected (this is a MAJOR bug)

Hovered node has red, selected node has blue color. Or what did you mean? A screencast would help to clarify.

2. Cannot select a different line or node on another segment with node tool

Please be more specific - what do you expect and what happens instead?
3. Silently starts moving and adding nodes

Sorry I have no idea what do you mean here... it can only start moving/adding nodes when you click with mouse :-)

#4 - 2019-01-25 07:00 PM - Giovanni Manghi

- Status changed from Open to Feedback

#5 - 2019-01-30 07:21 PM - Regis Haubourg

Corey Burger wrote:

I would say that we need something that merges the best of the 2.x with the new 3 method. There are major UI issues with the new node editing.

Here is what I noticed:

1. No difference between node hovered over and node selected (this is a MAJOR bug)

2. Cannot select a different line or node on another segment with node tool

3. Silently starts moving and adding nodes

All in all, I find the 3 version very hard to figure out what it is doing.

Hi, most of the time, the hard part is to switch to the click-click mode instead of the clic and drag used before. Now I'm used to it, I have hard time when

going back to 2.18. It's mostly a matter of habits. I've been doing data digitizing recently wiht students and didn't face anymore major issues. We can still

polish it, and improve it's capabilities to interactively grab features (the worst point currently IMO) and snap to others features. Let's push screencasts so

that we can help you
